summaryrefslogtreecommitdiffstats
path: root/perl
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2017-04-11 00:15:41 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2017-04-11 00:15:41 +0700
commit52f1d52ad1dbf3fc018d23310af5e9d2c5a0ae81 (patch)
tree86d2ab25c511e928613fc59d69323bd4faec7597 /perl
parent4df213b3259228dc29cc6449a8b0cf265f703a05 (diff)
downloadslackbuilds-52f1d52ad1dbf3fc018d23310af5e9d2c5a0ae81.tar.gz
slackbuilds-52f1d52ad1dbf3fc018d23310af5e9d2c5a0ae81.tar.xz
perl/perl-image-bmp: Added (module to read .bmp images).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'perl')
-rw-r--r--perl/perl-image-bmp/README4
-rw-r--r--perl/perl-image-bmp/perl-image-bmp.SlackBuild66
-rw-r--r--perl/perl-image-bmp/perl-image-bmp.info10
-rw-r--r--perl/perl-image-bmp/slack-desc19
4 files changed, 99 insertions, 0 deletions
diff --git a/perl/perl-image-bmp/README b/perl/perl-image-bmp/README
new file mode 100644
index 0000000000..a18d659653
--- /dev/null
+++ b/perl/perl-image-bmp/README
@@ -0,0 +1,4 @@
+perl-image-bmp (module to read .bmp images)
+
+Image::BMP objects can parse and even ascii view bitmaps of the .BMP
+format. It can read most of the common forms of this format.
diff --git a/perl/perl-image-bmp/perl-image-bmp.SlackBuild b/perl/perl-image-bmp/perl-image-bmp.SlackBuild
new file mode 100644
index 0000000000..bc68877376
--- /dev/null
+++ b/perl/perl-image-bmp/perl-image-bmp.SlackBuild
@@ -0,0 +1,66 @@
+#!/bin/sh
+
+# Slackware build script for perl-image-bmp
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+PRGNAM=perl-image-bmp
+VERSION=${VERSION:-1.19}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+SRCNAM="Image-BMP"
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+perl Makefile.PL \
+ PREFIX=/usr \
+ INSTALLDIRS=vendor \
+ INSTALLVENDORMAN1DIR=/usr/man/man1 \
+ INSTALLVENDORMAN3DIR=/usr/man/man3
+make
+make test
+make install DESTDIR=$PKG
+
+gzip -9 $PKG/usr/man/man3/*.3
+
+find $PKG -name perllocal.pod \
+ -o -name ".packlist" \
+ -o -name "*.bs" \
+ | xargs rm -f
+
+# the above leaves at least one empty directory, so:
+find $PKG -depth -type d -a -empty -delete
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+chmod 644 LICENSE
+cp -a LICENSE README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/perl/perl-image-bmp/perl-image-bmp.info b/perl/perl-image-bmp/perl-image-bmp.info
new file mode 100644
index 0000000000..a531427a60
--- /dev/null
+++ b/perl/perl-image-bmp/perl-image-bmp.info
@@ -0,0 +1,10 @@
+PRGNAM="perl-image-bmp"
+VERSION="1.19"
+HOMEPAGE="https://metacpan.org/pod/Image::BMP"
+DOWNLOAD="https://cpan.metacpan.org/authors/id/D/DA/DAVEOLA/Image/Image-BMP-1.19.tar.gz"
+MD5SUM="b3853e8b832c8dddc6c308833b889716"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
diff --git a/perl/perl-image-bmp/slack-desc b/perl/perl-image-bmp/slack-desc
new file mode 100644
index 0000000000..d3badb27ad
--- /dev/null
+++ b/perl/perl-image-bmp/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+perl-image-bmp: perl-image-bmp (module to read .bmp images)
+perl-image-bmp:
+perl-image-bmp: Image::BMP objects can parse and even ascii view bitmaps of the .BMP
+perl-image-bmp: format. It can read most of the common forms of this format.
+perl-image-bmp:
+perl-image-bmp:
+perl-image-bmp:
+perl-image-bmp:
+perl-image-bmp:
+perl-image-bmp:
+perl-image-bmp: